Subject: Re: bug#8427: [SECURITY] sql.el -- comint process passwords are leaked to ps(1) listing

From: Andrew Hyatt <[email-masked]>
Date: Mon, 30 Dec 2019 14:26:21 -0500

I meant a true value, I agree, non-nil is a better way to say that.

Shall I just make that change and check in?

On Mon, Dec 30, 2019 at 1:34 PM Michael Albinus <[email-masked]>
wrote:

> Andrew Hyatt <[email-masked]> writes:
>
> > --- a/etc/NEWS
> > +++ b/etc/NEWS
> >
> > +---
> > +**** sql now supports sending of passwords in-process.
> > +To improve security, if a sql product has ':password-in-comint' set to
> > +true, a password supplied via the minibuffer will be sent in-process,
> > +as opposed to via the command-line.
>
> I would say non-nil instead of true. Or do you mean t?
>